# Class goog.testing.TestCase.Error

code »

A class representing an error thrown by the test

## Constructor

goog.testing.TestCase.Error ( source, message, opt_stack )

Parameters

source: `string`
  The name of the test which threw the error.
message: `string`
  The error message.
opt_stack: `string=`
  A string showing the execution stack.

Show:Public Protected Private

## Instance Methods

code »toString ( ) ⇒ `string`

Returns a string representing the error object.

Returns

A string representation of the error.

## Instance Properties

code »message : `string`

Reference to the test function.

code »source : `string`

The name of the test which threw the error.

code »stack : `?string`

Scope that the test function should be called in.